%define module pytz

Name:           python-%{module}
Version:        2022.1
Release:        %mkrel 1
Summary:        World timezone definitions for Python
License:        MIT
Group:          Development/Python
Url:            https://pypi.python.org/pypi/pytz
Source0:        %{module}-%{version}.tar.xz
BuildArch:      noarch

BuildRequires:  python-devel
BuildRequires:  python-setuptools

%description
pytz brings the Olson tz database into Python. This library allows
accurate and cross platform timezone calculations using Python 2.3 or
higher. It also solves the issue of ambiguous times at the end of
daylight savings, which you can read more about in the Python Library
Reference (datetime.tzinfo).

%package -n python3-%{module}
Summary:	World timezone definitions for Python 3
Group:		Development/Python
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools

%description -n python3-%{module}
pytz brings the Olson tz database into Python. This library allows
accurate and cross platform timezone calculations using Python 2.3 or
higher. It also solves the issue of ambiguous times at the end of
daylight savings, which you can read more about in the Python Library
Reference (datetime.tzinfo).

%prep
%setup -qn %{module}-%{version}
cp -a . %{py3dir}

%build
%py2_build
pushd %{py3dir}
%py3_build
popd

%install
pushd %{py3dir}
%py3_install
%py_byte_compile %{__python3} %{buildroot}%{python3_sitelib}
popd
%py2_install
%py_byte_compile %{__python2} %{buildroot}%{python_sitelib}

%files
%doc *.txt
%{python_sitelib}/*

%files -n python3-%{module}
%doc *.txt
%{python3_sitelib}/*

%changelog
* Sat Apr 02 2022 TerryN <terryn94 at gmail.com> 2022.1-1pclos2022
- update and rebuild for python 3.10

* Mon Apr 02 2018 marcin82 <fixxer1982 at gmail.com> 2018.3-1pclos2018
- update

* Fri Jun 05 2015 gseaman <galen.seaman at comcast.net> 2014.7-1gseaman2015
- update
